{
	"format_version": "1.8.0",
	"render_controllers": {
		"controller.render.sg_vtng.mechanical_crafter": {
			"geometry": "Geometry.default",
			"arrays": {
				"textures": {
					"array.skins":[
						"Texture.off",
						"Texture.on"
					]
				}
			},
			"materials": [
				{
					"*": "Material.default",
					"green0": "Material.filters",
					"green1": "Material.filters",
					"green2": "Material.filters",
					"green3": "Material.filters",
					"green4": "Material.filters",
					"green5": "Material.filters",
					"green6": "Material.filters",
					"green7": "Material.filters",
					"green8": "Material.filters",
					"red0": "Material.filters",
					"red1": "Material.filters",
					"red2": "Material.filters",
					"red3": "Material.filters",
					"red4": "Material.filters",
					"red5": "Material.filters",
					"red6": "Material.filters",
					"red7": "Material.filters",
					"red8": "Material.filters"
				}
			],
			"part_visibility": [
				{
					"green0": "q.property('sg_vtng:slot0') == 'green'",
					"green1": "q.property('sg_vtng:slot1') == 'green'",
					"green2": "q.property('sg_vtng:slot2') == 'green'",
					"green3": "q.property('sg_vtng:slot3') == 'green'",
					"green4": "q.property('sg_vtng:slot4') == 'green'",
					"green5": "q.property('sg_vtng:slot5') == 'green'",
					"green6": "q.property('sg_vtng:slot6') == 'green'",
					"green7": "q.property('sg_vtng:slot7') == 'green'",
					"green8": "q.property('sg_vtng:slot8') == 'green'",
					"red0": "q.property('sg_vtng:slot0') == 'red'",
					"red1": "q.property('sg_vtng:slot1') == 'red'",
					"red2": "q.property('sg_vtng:slot2') == 'red'",
					"red3": "q.property('sg_vtng:slot3') == 'red'",
					"red4": "q.property('sg_vtng:slot4') == 'red'",
					"red5": "q.property('sg_vtng:slot5') == 'red'",
					"red6": "q.property('sg_vtng:slot6') == 'red'",
					"red7": "q.property('sg_vtng:slot7') == 'red'",
					"red8": "q.property('sg_vtng:slot8') == 'red'"
				}
			],
			"textures": [
				"array.skins[query.property('sg_vtng:redstone_active') == false ? 0 : 1]" 
			]
		}
	}
}